<div class="row">
    <div class="col-xs-12">
          <p class="alert alert-warning" *ngIf="!auth.isAuthenticate()">Please login if you want to Add or Edit New Recipe</p>
        <button class="btn btn-success" (click)="onNewRecipe()" *ngIf="auth.isAuthenticate()">New Recipe</button>
    </div>
    <hr>

    <app-recipe-item
            *ngFor="let recipe of recipes; let i = index"
            [recipe]="recipe"
            [index]="i"
    ></app-recipe-item>
</div>